repos:

- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.1.0
  hooks:
  - id: check-added-large-files
  - id: check-case-conflict
  - id: check-yaml
    args: ["--unsafe"]
  - id: debug-statements
  - id: end-of-file-fixer
  - id: trailing-whitespace

- repo: https://github.com/pycqa/isort
  rev: 5.10.1
  hooks:
    - id: isort

- repo: https://github.com/psf/black
  rev: 22.1.0
  hooks:
    - id: black

- repo: https://gitlab.com/pycqa/flake8
  rev: 4.0.1
  hooks:
    - id: flake8

- repo: https://github.com/PyCQA/bandit
  rev: 1.7.2
  hooks:
    - id: bandit
      args: ["-c", "bandit.yaml"]
